# Diseño y Evaluación de Sistemas Interactivos, curso 24-25.
## Autor: Francisco Javier Juárez Gutiérrez

# Evolución del PIB

Para comparar el desarrollo económico de un país, una buena medida es el producto interior bruto (PIB) de ese país. Con esta visualización lo que se pretende es poder representar la información del PIB de los distintos países con el fin de poder compararlos.
## Datos
En cuanto a los datos, están sacados de la plataforma Kaggle, [World GDP(GDP, GDP per capita, and annual growths)](https://www.kaggle.com/datasets/zgrcemta/world-gdpgdp-gdp-per-capita-and-annual-growths), donde nos quedamos con el primer archivo "GDP". Consta de varias variables como son:
- **Country name**: Nombre de cada uno de los países.
- **Code**: Código alfanumérico de 3 caracteres que identifica los países.
- **1960**: Valores del PIB de cada país en 1960
- $\dots$
- **2020**: Valores del PIB de cada país en 2020
De las cuales nos quedamos con **Country name** y los valores para los distintos años.
## Visualización
La visualización consta principalmente de dos partes, una parte es un mapa con los distintos valores del PIB representados con distinto color junto con una leyenda para facilitar la comprension de los valores. También se puede elegir el año para el que se quiere ver los datos. La otra parte principal aparece cuando seleccionamos un país, que aparece la evolución del PIB para el país seleccionado.